/**
* Copyright (c) 2012-2013 Nokia Corporation. All rights reserved.
* Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation. 
* Oracle and Java are trademarks or registered trademarks of Oracle and/or its
* affiliates. Other product and company names mentioned herein may be trademarks
* or trade names of their respective owners. 
* See LICENSE.TXT for license information.
*/

package com.nokia.example.paint.views.components;

import java.util.Vector;

/*
 * Tool that acts as an eraser.
 */
public class EraserTool
    extends Button {

    private Vector listeners;

    public EraserTool() {
        super("/eraser_pressed.png", "/eraser.png");
        listeners = new Vector();
    }

    public void addListeners(ColorChangeListener listener) {
        listeners.addElement(listener);
    }

    public void onSelected() {
        int l = listeners.size();
        for (int i = 0; i < l; i++) {
            ColorChangeListener listener = (ColorChangeListener) listeners.elementAt(i);
            listener.colorChanged(0xFFFFFF);
        }

    }
}
